View Issue Details

IDProjectCategoryView StatusLast Update
0000188Gorilla3D[All Projects] Bug Reportspublic2022-05-23 07:55
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version0.8.4.x 
Target Version0.8.4.xFixed in Version0.8.4.x 
Summary0000188: Bug: FBX sometimes provides AnimationCurve time/values not in ascending order
DescriptionFBX format sometimes provides AnimationCurve KeyTime/KeyValue/... values not in ascending order.
We have to sort it before adding to the interpolator.
TFBXModel.LoadAnimation3DPointInterpolatorFromNode()
TagsNo tags attached.
Delphi-Version 11.0.0
OpenGLVersionOpenGL 4.3

Activities

administrator

2022-04-16 20:50

administrator   ~0000208

Bugfix implemented. Testing needed

administrator

2022-05-23 07:55

administrator   ~0000212

fixed

Issue History

Date Modified Username Field Change
2022-04-14 12:43 administrator New Issue
2022-04-14 12:43 administrator Status new => assigned
2022-04-14 12:43 administrator Assigned To => administrator
2022-04-16 20:50 administrator Status assigned => feedback
2022-04-16 20:50 administrator Note Added: 0000208
2022-05-23 07:55 administrator Status feedback => resolved
2022-05-23 07:55 administrator Resolution open => fixed
2022-05-23 07:55 administrator Fixed in Version => 0.8.4.x
2022-05-23 07:55 administrator Note Added: 0000212